<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>User Age</title>
</head>

<body>
  <script>
    let userBirthDate = prompt(
      'Введите дату вашего рождения в формате "dd.mm.yyyy"'
    );
    let userDadeZodiac = calcAgeZodiac(userBirthDate);
    alert(`Вам ${userDadeZodiac[0]} лет!`);
    alert(`Ваш знак зодиака: ${userDadeZodiac[1]}`);

    function calcAgeZodiac(birthDateString) {
      let birthDate = new Date(formatDate(birthDateString));
      let age = calcAge(birthDate);
      let zodiacSign = calcZodiac(birthDate);

      return [age, zodiacSign];
    }

    function formatDate(date) {
      return date
        .split(".")
        .reverse()
        .join("-");
    }

    function calcAge(birthDate) {
      let currentDate = new Date();

      let age = currentDate.getFullYear() - birthDate.getFullYear();

      if (
        currentDate.getMonth() < birthDate.getMonth() ||
        (currentDate.getMonth() === birthDate.getMonth() &&
          currentDate.getDate() < birthDate.getDate())
      )
        age--;

      return age;
    }

    function calcZodiac(birthDate) {
      let month = addZero(birthDate.getMonth() + 1);
      let day = addZero(birthDate.getDate());
      let md = `${month}-${day}`;

      if (md >= "12-22" || md <= "01-20") return "Козерог";
      if (md <= "02-20") return "Водолей";
      if (md <= "03-20") return "Рыбы";
      if (md <= "04-20") return "Овен";
      if (md <= "05-20") return "Телец";
      if (md <= "06-21") return "Близнецы";
      if (md <= "07-22") return "Рак";
      if (md <= "08-23") return "Лев";
      if (md <= "09-23") return "Дева";
      if (md <= "10-23") return "Весы";
      if (md <= "11-22") return "Скорпион";
      if (md <= "12-21") return "Стрелец";
    }

    function addZero(number) {
      if (number < 10) return `0${number}`;
      return number;
    }
  </script>
</body>

</html>